aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRoman Ivanov <ivanov-jr@mail.ru>2017-12-22 14:02:50 -0800
committerRoman Ivanov <ivanov-jr@mail.ru>2017-12-22 16:00:50 -0800
commitbd9612530bc6ff5fe4e18ee7d6b42e93f1d9f9c9 (patch)
treecc4447af14970d234a71f3f22607479dec962ff7
parentdb03f124f024393598adb1d2036847e6bf65c1ba (diff)
downloadcheckstyle-bd9612530bc6ff5fe4e18ee7d6b42e93f1d9f9c9.tar.gz
config: move all wercker commands to wercker.sh to ease testing on local
-rwxr-xr-x.ci/wercker.sh200
-rw-r--r--.travis.yml2
-rw-r--r--appveyor.yml3
-rw-r--r--circle.yml2
-rw-r--r--distelli-manifest.yml2
-rw-r--r--shippable.yml2
-rw-r--r--wercker.yml187
7 files changed, 223 insertions, 175 deletions
diff --git a/.ci/wercker.sh b/.ci/wercker.sh
new file mode 100755
index 000000000..fdf185f53
--- /dev/null
+++ b/.ci/wercker.sh
@@ -0,0 +1,200 @@
+#!/bin/bash
+# Attention, there is no "-x" to avoid problems on Wercker
+set -e
+
+case $1 in
+
+no-error-pgjdbc)
+ CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
+ echo CS_version: ${CS_POM_VERSION}
+ for i in 1 2 3 4 5; do git clone https://github.com/pgjdbc/pgjdbc.git && break || sleep 15; done
+ cd pgjdbc/pgjdbc
+ mvn checkstyle:check -Dcheckstyle.version=${CS_POM_VERSION}
+ cd ../../
+ rm -rf pgjdbc
+ ;;
+
+no-error-orekit)
+ CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
+ echo CS_version: ${CS_POM_VERSION}
+ for i in 1 2 3 4 5; do git clone https://github.com/Hipparchus-Math/hipparchus.git && break || sleep 15; done
+ cd hipparchus
+ git checkout 905006092493e350dcd68dd7b2ec1dedaf4983b7
+ mvn clean install -DskipTests
+ cd ../
+ for i in 1 2 3 4 5; do git clone https://github.com/CS-SI/Orekit.git && break || sleep 15; done
+ cd Orekit
+ # Orekit use 'develop' branch as target for PullRequest merges
+ git checkout develop
+ mvn compile checkstyle:check -Dorekit.checkstyle.version=${CS_POM_VERSION}
+ cd ../
+ rm -rf hipparchus Orekit
+ ;;
+
+no-error-xwiki)
+ CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
+ echo CS_version: ${CS_POM_VERSION}
+ for i in 1 2 3 4 5; do git clone https://github.com/xwiki/xwiki-commons/ && break || sleep 15; done
+ cd xwiki-commons
+ git checkout 44b0c0048c516dae20cf5f8a71181af836549484
+ mvn install -DskipTests -Dxwiki.clirr.skip=true checkstyle:check -Dcheckstyle.version=${CS_POM_VERSION}
+ cd ../../
+ rm -rf xwiki-commons
+ ;;
+
+no-error-apex-core)
+ CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
+ echo CS_version: ${CS_POM_VERSION}
+ for i in 1 2 3 4 5; do git clone https://github.com/apache/incubator-apex-core/ && break || sleep 15; done
+ cd incubator-apex-core
+ mvn compile checkstyle:check -Dcheckstyle.version=${CS_POM_VERSION}
+ cd ../
+ rm -rf incubator-apex-core
+ ;;
+
+no-error-hibernate-search)
+ CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
+ echo CS_version: ${CS_POM_VERSION}
+ for i in 1 2 3 4 5; do git clone https://github.com/hibernate/hibernate-search.git && break || sleep 15; done
+ cd hibernate-search
+ mvn -s settings-example.xml clean install -DskipTests=true -Dtest.elasticsearch.host.provided=true -Dpuppycrawl.checkstyle.version=${CS_POM_VERSION}
+ mvn -s settings-example.xml checkstyle:check -Dpuppycrawl.checkstyle.version=${CS_POM_VERSION}
+ cd ../
+ rm -rf hibernate-search
+ ;;
+
+no-error-htmlunit)
+ CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
+ echo CS_version: ${CS_POM_VERSION}
+ echo "checkouting project sources ..."
+ svn -q export https://svn.code.sf.net/p/htmlunit/code/trunk/htmlunit@r14923 htmlunit
+ cd htmlunit
+ sed -i "s/ <version>2.28-SNAPSHOT/ <version>2.28-20171106.080245-12/" pom.xml
+ echo "Running checkstyle validation ..."
+ mvn compile checkstyle:check -Dcheckstyle.version=${CS_POM_VERSION}
+ cd ../
+ rm -rf htmlunit
+ ;;
+
+no-error-checkstyles-sevntu)
+ set -e
+ CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
+ echo CS_version: ${CS_POM_VERSION}
+ mvn compile verify -Dmaven.sevntu-checkstyle-check.checkstyle.version=${CS_POM_VERSION} -Dmaven.test.skip=true -Dcheckstyle.ant.skip=true -Dpmd.skip=true -Dfindbugs.skip=true -Dcobertura.skip=true -Dforbiddenapis.skip=true -Dxml.skip=true
+ ;;
+
+no-error-sevntu-checks)
+ set -e
+ CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
+ echo CS_version: ${CS_POM_VERSION}
+ for i in 1 2 3 4 5; do git clone https://github.com/sevntu-checkstyle/sevntu.checkstyle && break || sleep 15; done
+ cd sevntu.checkstyle/sevntu-checks
+ mvn -Pno-validations verify -Dcheckstyle.skip=false -Dcheckstyle.version=${CS_POM_VERSION} -Dcheckstyle.configLocation=../../config/checkstyle_checks.xml
+ ;;
+
+no-exception-struts)
+ for i in 1 2 3 4 5; do git clone https://github.com/checkstyle/contribution && break || sleep 15; done
+ cd contribution/checkstyle-tester
+ sed -i'' 's/^guava/#guava/' projects-for-wercker.properties
+ sed -i'' 's/#apache-struts/apache-struts/' projects-for-wercker.properties
+ groovy ./launch.groovy --listOfProjects projects-for-wercker.properties --config checks-nonjavadoc-error.xml
+ cd ../../
+ rm -rf contribution
+ ;;
+
+no-exception-checkstyle-sevntu)
+ set -e
+ for i in 1 2 3 4 5; do git clone https://github.com/checkstyle/contribution && break || sleep 15; done
+ cd contribution/checkstyle-tester
+ sed -i'' 's/^guava/#guava/' projects-for-wercker.properties
+ sed -i'' 's/#checkstyle/checkstyle/' projects-for-wercker.properties
+ sed -i'' 's/#sevntu-checkstyle/sevntu-checkstyle/' projects-for-wercker.properties
+ groovy ./launch.groovy --listOfProjects projects-for-wercker.properties --config checks-nonjavadoc-error.xml
+ cd ../../
+ rm -rf contribution
+ ;;
+
+no-exception-guava)
+ for i in 1 2 3 4 5; do git clone https://github.com/checkstyle/contribution && break || sleep 15; done
+ cd contribution/checkstyle-tester
+ sed -i'' 's/^guava/#guava/' projects-for-wercker.properties
+ sed -i'' 's/#guava/guava/' projects-for-wercker.properties
+ groovy ./launch.groovy --listOfProjects projects-for-wercker.properties --config checks-nonjavadoc-error.xml
+ cd ../../
+ rm -rf contribution
+ ;;
+
+no-exception-hibernate-orm)
+ git clone https://github.com/checkstyle/contribution
+ cd contribution/checkstyle-tester
+ sed -i.'' 's/^guava/#guava/' projects-to-test-on.properties
+ sed -i.'' 's/#hibernate-orm/hibernate-orm/' projects-to-test-on.properties
+ groovy ./launch.groovy --listOfProjects projects-for-wercker.properties --config checks-nonjavadoc-error.xml
+ cd ../../
+ rm -rf contribution
+ ;;
+
+no-exception-findbugs)
+ git clone https://github.com/checkstyle/contribution
+ cd contribution/checkstyle-tester
+ sed -i.'' 's/^guava/#guava/' projects-to-test-on.properties
+ sed -i.'' 's/#findbugs/findbugs/' projects-to-test-on.properties
+ groovy ./launch.groovy --listOfProjects projects-to-test-on.properties --config checks-nonjavadoc-error.xml
+ cd ../../
+ rm -rf contribution
+ ;;
+
+no-exception-spring-framework)
+ git clone https://github.com/checkstyle/contribution
+ cd contribution/checkstyle-tester
+ sed -i.'' 's/^guava/#guava/' projects-to-test-on.properties
+ sed -i.'' 's/#spring-framework/spring-framework/' projects-to-test-on.properties
+ groovy ./launch.groovy --listOfProjects projects-to-test-on.properties --config checks-nonjavadoc-error.xml
+ cd ../../
+ rm -rf contribution
+ ;;
+
+no-exception-hbase)
+ git clone https://github.com/checkstyle/contribution
+ cd contribution/checkstyle-tester
+ sed -i.'' 's/^guava/#guava/' projects-to-test-on.properties
+ sed -i.'' 's/#Hbase/Hbase/' projects-to-test-on.properties
+ groovy ./launch.groovy --listOfProjects projects-to-test-on.properties --config checks-nonjavadoc-error.xml
+ cd ../../
+ rm -rf contribution
+ ;;
+
+no-exception-Pmd-elasticsearch-lombok-ast)
+ git clone https://github.com/checkstyle/contribution
+ cd contribution/checkstyle-tester
+ sed -i.'' 's/^guava/#guava/' projects-to-test-on.properties
+ sed -i.'' 's/#pmd/pmd/' projects-to-test-on.properties
+ sed -i.'' 's/#elasticsearch/elasticsearch/' projects-to-test-on.properties
+ sed -i.'' 's/#lombok-ast/lombok-ast/' projects-to-test-on.properties
+ groovy ./launch.groovy --listOfProjects projects-to-test-on.properties --config checks-nonjavadoc-error.xml
+ cd ../../
+ rm -rf contribution
+ ;;
+
+no-exception-alot-of-projects)
+ git clone https://github.com/checkstyle/contribution
+ cd contribution/checkstyle-tester
+ sed -i.'' 's/^guava/#guava/' projects-to-test-on.properties
+ sed -i.'' 's/#RxJava/RxJava/' projects-to-test-on.properties
+ sed -i.'' 's/#java-design-patterns/java-design-patterns/' projects-to-test-on.properties
+ sed -i.'' 's/#MaterialDesignLibrary/MaterialDesignLibrary/' projects-to-test-on.properties
+ sed -i.'' 's/#apache-ant/apache-ant/' projects-to-test-on.properties
+ sed -i.'' 's/#apache-jsecurity/apache-jsecurity/' projects-to-test-on.properties
+ sed -i.'' 's/#android-launcher/android-launcher/' projects-to-test-on.properties
+ groovy ./launch.groovy --listOfProjects projects-to-test-on.properties --config checks-nonjavadoc-error.xml
+ cd ../../
+ rm -rf contribution
+ ;;
+
+*)
+ echo "Unexpected argument: $1"
+ sleep 5s
+ false
+ ;;
+
+esac
diff --git a/.travis.yml b/.travis.yml
index 979da37d3..614ce7d2f 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -178,7 +178,7 @@ matrix:
- CMD="./.ci/travis/travis.sh versions"
script:
- - SKIP_FILES=".github|appveyor.yml|circle.yml|distelli-manifest.yml|fast-forward-merge.sh|LICENSE|LICENSE.apache20|README.md|release.sh|RIGHTS.antlr|shippable.yml|wercker.yml|intellij-idea-inspections.xml"
+ - SKIP_FILES=".github|appveyor.yml|circle.yml|distelli-manifest.yml|fast-forward-merge.sh|LICENSE|LICENSE.apache20|README.md|release.sh|RIGHTS.antlr|shippable.yml|wercker.yml|wercker.sh|intellij-idea-inspections.xml"
- SKIP_CI=$(if [[ $(git diff --name-only HEAD HEAD~1 | grep -vE "$SKIP_FILES" | cat | wc -c | sed 's/^ *//' ) > 0 ]]; then echo false; else echo true; fi;)
- echo "SKIP_CI="$SKIP_CI
- |
diff --git a/appveyor.yml b/appveyor.yml
index 5f607ca36..288e0cec6 100644
--- a/appveyor.yml
+++ b/appveyor.yml
@@ -14,7 +14,8 @@ skip_commits:
- release.sh
- RIGHTS.antlr
- shippable.yml
- -wercker.yml
+ - wercker.yml
+ - wercker.sh
clone_depth: 10
branches:
only:
diff --git a/circle.yml b/circle.yml
index 595964e03..c355e89ed 100644
--- a/circle.yml
+++ b/circle.yml
@@ -45,7 +45,7 @@ machine:
TEST_3: $CMD1$CMD2$TAPESTRY$STORM$CASSANDRA$CMD3
# Test over apache-commons, hadoop, scouter, groovy
TEST_4: $CMD1$CMD2$COMMONS$HADOOP$SCOUTER$GROOVY$CMD3
- SKIP_FILES: ".github|appveyor.yml|.travis.yml|.ci|distelli-manifest.yml|fast-forward-merge.sh|LICENSE|LICENSE.apache20|README.md|release.sh|RIGHTS.antlr|shippable.yml|wercker.yml|intellij-idea-inspections.xml|org.eclipse.jdt.core.prefs"
+ SKIP_FILES: ".github|appveyor.yml|.travis.yml|.ci|distelli-manifest.yml|fast-forward-merge.sh|LICENSE|LICENSE.apache20|README.md|release.sh|RIGHTS.antlr|shippable.yml|wercker.yml|wercker.sh|intellij-idea-inspections.xml|org.eclipse.jdt.core.prefs"
test:
override:
- if [ $(git diff --name-only HEAD HEAD~1 | grep -vE $SKIP_FILES | wc -c) -gt 0 ] ; then case $CIRCLE_NODE_INDEX in 0) eval $TEST_1 ;; 1) eval $TEST_2 ;; 2) eval $TEST_3 ;; 3) eval $TEST_4 ;; esac; fi:
diff --git a/distelli-manifest.yml b/distelli-manifest.yml
index aa2042a20..283876063 100644
--- a/distelli-manifest.yml
+++ b/distelli-manifest.yml
@@ -2,7 +2,7 @@
checkstyle/checkstyle:
Build:
- set -e
- - SKIP_FILES="appveyor.yml|circle.yml|shippable.yml|.travis.yml|wercker.yml|fast-forward-merge.sh|LICENSE|LICENSE.apache20|README.md|release.sh|RIGHTS.antlr|intellij-idea-inspections.xml|org.eclipse.jdt.core.prefs"
+ - SKIP_FILES="appveyor.yml|circle.yml|shippable.yml|.travis.yml|wercker.yml|wercker.sh|fast-forward-merge.sh|LICENSE|LICENSE.apache20|README.md|release.sh|RIGHTS.antlr|intellij-idea-inspections.xml|org.eclipse.jdt.core.prefs"
- SKIP_CI=$(if [[ $(git diff --name-only HEAD HEAD~1 | grep -vE "$SKIP_FILES" | cat | wc -c) > 0 ]]; then echo false; else echo true; fi;)
- echo "SKIP_CI="$SKIP_CI
- |
diff --git a/shippable.yml b/shippable.yml
index d1b75c79a..dd82f65d2 100644
--- a/shippable.yml
+++ b/shippable.yml
@@ -43,7 +43,7 @@ build:
# we skip PRs and commits that are not for Issues, as pitest is too time consuming
- |
set -e
- SKIP_FILES="appveyor.yml|circle.yml|distelli-manifest.yml|.travis.yml|wercker.yml|fast-forward-merge.sh|LICENSE|LICENSE.apache20|README.md|release.sh|RIGHTS.antlr|intellij-idea-inspections.xml|org.eclipse.jdt.core.prefs"
+ SKIP_FILES="appveyor.yml|circle.yml|distelli-manifest.yml|.travis.yml|wercker.yml|wercker.sh|fast-forward-merge.sh|LICENSE|LICENSE.apache20|README.md|release.sh|RIGHTS.antlr|intellij-idea-inspections.xml|org.eclipse.jdt.core.prefs"
SKIP_CI=$(if [[ $(git diff --name-only HEAD HEAD~1 | grep -vE "$SKIP_FILES" | cat | wc -c) > 0 ]]; then echo false; else echo true; fi;)
echo "SKIP_CI="$SKIP_CI
echo "POST_ACTION="$POST_ACTION
diff --git a/wercker.yml b/wercker.yml
index 86432ab72..2bb6f1315 100644
--- a/wercker.yml
+++ b/wercker.yml
@@ -24,7 +24,6 @@ build:
PATH=$GROOVY_HOME/bin:$PATH
groovy -v
- # Build Checkstyle
- script:
name: Build Checkstyle
code: |
@@ -37,312 +36,160 @@ build:
echo "build is skipped ..."
fi
- # NoErrorTest - Postgresql JDBC Driver (oraclejdk8)
- script:
name: NoErrorTest - Postgresql JDBC Driver
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
- echo CS_version: ${CS_POM_VERSION}
- for i in 1 2 3 4 5; do git clone https://github.com/pgjdbc/pgjdbc.git && break || sleep 15; done
- cd pgjdbc/pgjdbc
- mvn checkstyle:check -Dcheckstyle.version=${CS_POM_VERSION}
- cd ../../
- rm -rf pgjdbc
+ ./.ci/wercker.sh no-error-pgjdbc
else
echo "build is skipped ..."
fi
- # NoErrorTest - Orekit (oraclejdk8)
- script:
name: NoErrorTest - Orekit
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
- echo CS_version: ${CS_POM_VERSION}
- for i in 1 2 3 4 5; do git clone https://github.com/Hipparchus-Math/hipparchus.git && break || sleep 15; done
- cd hipparchus
- git checkout 905006092493e350dcd68dd7b2ec1dedaf4983b7
- mvn clean install -DskipTests
- cd ../
- for i in 1 2 3 4 5; do git clone https://github.com/CS-SI/Orekit.git && break || sleep 15; done
- cd Orekit
- # Orekit use 'develop' branch as target for PullRequest merges
- git checkout develop
- mvn compile checkstyle:check -Dorekit.checkstyle.version=${CS_POM_VERSION}
- cd ../
- rm -rf hipparchus Orekit
+ ./.ci/wercker.sh no-error-orekit
else
echo "build is skipped ..."
fi
- # NoErrorTest - XWiki (oraclejdk8)
- script:
name: NoErrorTest - XWiki
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
- echo CS_version: ${CS_POM_VERSION}
- for i in 1 2 3 4 5; do git clone https://github.com/xwiki/xwiki-commons/ && break || sleep 15; done
- cd xwiki-commons
- git checkout 44b0c0048c516dae20cf5f8a71181af836549484
- mvn install -DskipTests -Dxwiki.clirr.skip=true checkstyle:check -Dcheckstyle.version=${CS_POM_VERSION}
- cd ../../
- rm -rf xwiki-commons
+ ./.ci/wercker.sh no-error-xwiki
else
echo "build is skipped ..."
fi
- # NoErrorTest - Apache Apex (oraclejdk8)
- script:
name: NoErrorTest - Apache Apex
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
- echo CS_version: ${CS_POM_VERSION}
- for i in 1 2 3 4 5; do git clone https://github.com/apache/incubator-apex-core/ && break || sleep 15; done
- cd incubator-apex-core
- mvn compile checkstyle:check -Dcheckstyle.version=${CS_POM_VERSION}
- cd ../
- rm -rf incubator-apex-core
+ ./.ci/wercker.sh no-error-apex-core
else
echo "build is skipped ..."
fi
- # NoErrorTest - Hibernate Search (oraclejdk8)
- script:
name: NoErrorTest - Hibernate Search
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
- echo CS_version: ${CS_POM_VERSION}
- for i in 1 2 3 4 5; do git clone https://github.com/hibernate/hibernate-search.git && break || sleep 15; done
- cd hibernate-search
- mvn -s settings-example.xml clean install -DskipTests=true -Dtest.elasticsearch.host.provided=true -Dpuppycrawl.checkstyle.version=${CS_POM_VERSION}
- mvn -s settings-example.xml checkstyle:check -Dpuppycrawl.checkstyle.version=${CS_POM_VERSION}
- cd ../
- rm -rf hibernate-search
+ ./.ci/wercker.sh no-error-hibernate-search
else
echo "build is skipped ..."
fi
- # NoErrorTest - HtmlUnit (oraclejdk8)
- script:
name: NoErrorTest - HtmlUnit
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
- echo CS_version: ${CS_POM_VERSION}
- echo "checkouting project sources ..."
- svn -q export https://svn.code.sf.net/p/htmlunit/code/trunk/htmlunit@r14923 htmlunit
- cd htmlunit
- sed -i "s/ <version>2.28-SNAPSHOT/ <version>2.28-20171106.080245-12/" pom.xml
- echo "Running checkstyle validation ..."
- mvn compile checkstyle:check -Dcheckstyle.version=${CS_POM_VERSION}
- cd ../
- rm -rf htmlunit
+ ./.ci/wercker.sh no-error-htmlunit
else
echo "build is skipped ..."
fi
- # NoErrorTest - checkstyle's sevntu
- script:
name: NoErrorTest - checkstyle's sevntu
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
- echo CS_version: ${CS_POM_VERSION}
- mvn compile verify -Dmaven.sevntu-checkstyle-check.checkstyle.version=${CS_POM_VERSION} -Dmaven.test.skip=true -Dcheckstyle.ant.skip=true -Dpmd.skip=true -Dfindbugs.skip=true -Dcobertura.skip=true -Dforbiddenapis.skip=true -Dxml.skip=true
+ ./.ci/wercker.sh no-error-checkstyles-sevntu
else
echo "build is skipped ..."
fi
- # NoErrorTest - sevntu-checks
- script:
name: NoErrorTest - sevntu-checks
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- CS_POM_VERSION=$(mvn -q -Dexec.executable='echo' -Dexec.args='${project.version}' --non-recursive org.codehaus.mojo:exec-maven-plugin:1.3.1:exec)
- echo CS_version: ${CS_POM_VERSION}
- for i in 1 2 3 4 5; do git clone https://github.com/sevntu-checkstyle/sevntu.checkstyle && break || sleep 15; done
- cd sevntu.checkstyle/sevntu-checks
- mvn -Pno-validations verify -Dcheckstyle.skip=false -Dcheckstyle.version=${CS_POM_VERSION} -Dcheckstyle.configLocation=../../config/checkstyle_checks.xml
+ ./.ci/wercker.sh no-error-sevntu-checks
else
echo "build is skipped ..."
fi
- # NoExceptiontest - Apache Struts (oraclejdk8)
- script:
name: NoExceptiontest - Apache Struts
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- for i in 1 2 3 4 5; do git clone https://github.com/checkstyle/contribution && break || sleep 15; done
- cd contribution/checkstyle-tester
- sed -i'' 's/^guava/#guava/' projects-for-wercker.properties
- sed -i'' 's/#apache-struts/apache-struts/' projects-for-wercker.properties
- groovy ./launch.groovy --listOfProjects projects-for-wercker.properties --config checks-nonjavadoc-error.xml
- cd ../../
- rm -rf contribution
+ ./.ci/wercker.sh no-exception-struts
else
echo "build is skipped ..."
fi
- # NoExceptiontest - Checkstyle ,sevntu-checkstyle (oraclejdk8)
- script:
name: NoExceptiontest - Checkstyle ,sevntu-checkstyle
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- for i in 1 2 3 4 5; do git clone https://github.com/checkstyle/contribution && break || sleep 15; done
- cd contribution/checkstyle-tester
- sed -i'' 's/^guava/#guava/' projects-for-wercker.properties
- sed -i'' 's/#checkstyle/checkstyle/' projects-for-wercker.properties
- sed -i'' 's/#sevntu-checkstyle/sevntu-checkstyle/' projects-for-wercker.properties
- groovy ./launch.groovy --listOfProjects projects-for-wercker.properties --config checks-nonjavadoc-error.xml
- cd ../../
- rm -rf contribution
+ ./.ci/wercker.sh no-exception-checkstyle-sevntu
else
echo "build is skipped ..."
fi
- # NoExceptiontest - Guava (oraclejdk8)
- script:
name: NoExceptiontest - Guava
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- for i in 1 2 3 4 5; do git clone https://github.com/checkstyle/contribution && break || sleep 15; done
- cd contribution/checkstyle-tester
- sed -i'' 's/^guava/#guava/' projects-for-wercker.properties
- sed -i'' 's/#guava/guava/' projects-for-wercker.properties
- groovy ./launch.groovy --listOfProjects projects-for-wercker.properties --config checks-nonjavadoc-error.xml
- cd ../../
- rm -rf contribution
+ ./.ci/wercker.sh no-exception-guava
else
echo "build is skipped ..."
fi
- # NoExceptiontest - Hibernate (oraclejdk8)
- script:
name: NoExceptiontest - Hibernate
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- for i in 1 2 3 4 5; do git clone https://github.com/checkstyle/contribution && break || sleep 15; done
- cd contribution/checkstyle-tester
- sed -i'' 's/^guava/#guava/' projects-for-wercker.properties
- sed -i'' 's/#hibernate-orm/hibernate-orm/' projects-for-wercker.properties
- groovy ./launch.groovy --listOfProjects projects-for-wercker.properties --config checks-nonjavadoc-error.xml
- cd ../../
- rm -rf contribution
+ ./.ci/wercker.sh no-exception-hibernate-orm
else
echo "build is skipped ..."
fi
- # NoExceptiontest - Findbugs (oraclejdk8)
- script:
name: NoExceptiontest - findbugs
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- for i in 1 2 3 4 5; do git clone https://github.com/checkstyle/contribution && break || sleep 15; done
- cd contribution/checkstyle-tester
- sed -i'' 's/^guava/#guava/' projects-for-wercker.properties
- sed -i'' 's/#findbugs/findbugs/' projects-for-wercker.properties
- groovy ./launch.groovy --listOfProjects projects-for-wercker.properties --config checks-nonjavadoc-error.xml
- cd ../../
- rm -rf contribution
+ ./.ci/wercker.sh no-exception-findbugs
else
echo "build is skipped ..."
fi
- # NoExceptiontest - spring-framework (oraclejdk8)
- script:
name: NoExceptiontest - spring-framework
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- for i in 1 2 3 4 5; do git clone https://github.com/checkstyle/contribution && break || sleep 15; done
- cd contribution/checkstyle-tester
- sed -i'' 's/^guava/#guava/' projects-for-wercker.properties
- sed -i'' 's/#spring-framework/spring-framework/' projects-for-wercker.properties
- groovy ./launch.groovy --listOfProjects projects-for-wercker.properties --config checks-nonjavadoc-error.xml
- cd ../../
- rm -rf contribution
+ ./.ci/wercker.sh no-exception-spring-framework
else
echo "build is skipped ..."
fi
- # NoExceptiontest - Hbase (oraclejdk8)
- script:
name: NoExceptiontest - Hbase
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- for i in 1 2 3 4 5; do git clone https://github.com/checkstyle/contribution && break || sleep 15; done
- cd contribution/checkstyle-tester
- sed -i'' 's/^guava/#guava/' projects-for-wercker.properties
- sed -i'' 's/#Hbase/Hbase/' projects-for-wercker.properties
- groovy ./launch.groovy --listOfProjects projects-for-wercker.properties --config checks-nonjavadoc-error.xml
- cd ../../
- rm -rf contribution
+ ./.ci/wercker.sh no-exception-hbase
else
echo "build is skipped ..."
fi
- # NoExceptiontest - pmd elasticsearch lombok-ast (oraclejdk8)
- script:
name: NoExceptiontest - pmd elasticsearch lombok-ast
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- for i in 1 2 3 4 5; do git clone https://github.com/checkstyle/contribution && break || sleep 15; done
- cd contribution/checkstyle-tester
- sed -i'' 's/^guava/#guava/' projects-for-wercker.properties
- sed -i'' 's/#pmd/pmd/' projects-for-wercker.properties
- sed -i'' 's/#elasticsearch/elasticsearch/' projects-for-wercker.properties
- sed -i'' 's/#lombok-ast/lombok-ast/' projects-for-wercker.properties
- groovy ./launch.groovy --listOfProjects projects-for-wercker.properties --config checks-nonjavadoc-error.xml
- cd ../../
- rm -rf contribution
+ ./.ci/wercker.sh no-exception-Pmd-elasticsearch-lombok-ast
else
echo "build is skipped ..."
fi
- # NoExceptiontest - RxJava java-design-patterns MaterialDesignLibrary apache-ant apache-jsecurity android-launcher (oraclejdk8)
- script:
name: NoExceptiontest - RxJava java-design-patterns MaterialDesignLibrary apache-ant apache-jsecurity android-launcher
code: |
if [[ $SKIP_CI == 'false' ]]; then
- set -e
- for i in 1 2 3 4 5; do git clone https://github.com/checkstyle/contribution && break || sleep 15; done
- cd contribution/checkstyle-tester
- sed -i'' 's/^guava/#guava/' projects-for-wercker.properties
- sed -i'' 's/#RxJava/RxJava/' projects-for-wercker.properties
- sed -i'' 's/#Vavr/Vavr/' projects-for-wercker.properties
- sed -i'' 's/#java-design-patterns/java-design-patterns/' projects-for-wercker.properties
- sed -i'' 's/#MaterialDesignLibrary/MaterialDesignLibrary/' projects-for-wercker.properties
- sed -i'' 's/#apache-ant/apache-ant/' projects-for-wercker.properties
- sed -i'' 's/#apache-jsecurity/apache-jsecurity/' projects-for-wercker.properties
- sed -i'' 's/#android-launcher/android-launcher/' projects-for-wercker.properties
- groovy ./launch.groovy --listOfProjects projects-for-wercker.properties --config checks-nonjavadoc-error.xml
- cd ../../
- rm -rf contribution
+ ./.ci/wercker.sh no-exception-alot-of-projects
else
echo "build is skipped ..."
fi
- # Cleanup
- script:
name: Cleanup maven local repo
code: |